module PersonalSelectedCourse
  class Engine < ::Rails::Engine
   initializer "personal_selected_course" do
		OrbitApp.registration "PersonalSelectedCourse",:type=> 'ModuleApp' do
			module_label 'module_name.selected_courses'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"SelectedCourse", :intro_app_name=>"SelectedCourseIntro",:path=>"/plugin/personal_selected_course/profile",:front_path=>"/profile",:admin_path=>"/admin/selected_courses/",:i18n=>'module_name.selected_courses', :module_app_name=>'SelectedCourse', :analysis => true, :analysis_path => "/admin/selected_courses/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
